function [kernel] = wavenumber_function_sphere(frequency,x1,x2)
    c = 3e8;
    k0 = 2*pi*frequency/c;
    if(x1==x2)
        kernel = k0^2/(2*pi^2);
    else
    kernel = 1/(2*pi^2)*(k0*sin(k0*norm(x1-x2))/norm(x1-x2));
    end
end